Bug 886773 - NetworkManager-l2tp can't get upgraded because of dependency problem
Summary: NetworkManager-l2tp can't get upgraded because of dependency problem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-l2tp
Version: 17
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ivan Romanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 04:54 UTC by phob0ss13
Modified: 2012-12-31 03:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-31 03:21:33 UTC


Attachments (Terms of Use)

Description phob0ss13 2012-12-13 04:54:51 UTC
Description of problem:
Can't install networkmanager-l2tp because of dependency problem. Actually it can't be upgraded from a version in RussianFedora repository. The package requires nm-connection-editor, which is already installed on my system as part of NetworkManager-gnome. Still the dependency is not satisfied and the package can't be upgraded.

Version-Release number of selected component (if applicable):
0.9.6-2

How reproducible:
Try to install or upgrade from russianfedora repository version (currently there is 0.9.6-1.fc17.R

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Dependency missing

Expected results:


Additional info: Konsole output:
Resolving Dependencies
--> Running transaction check
---> Package NetworkManager-l2tp.i686 0:0.9.6-1.fc17.R will be updated
---> Package NetworkManager-l2tp.i686 0:0.9.6-2.fc17 will be an update
--> Processing Dependency: nm-connection-editor for package: NetworkManager-l2tp-0.9.6-2.fc17.i686
--> Finished Dependency Resolution
Error: Package: NetworkManager-l2tp-0.9.6-2.fc17.i686 (updates)
           Requires: nm-connection-editor
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Ivan Romanov 2012-12-13 06:55:11 UTC
Do you can do 'yum remove NetworkManager-l2tp && yum install NetworkManager-l2tp'?

Comment 2 phob0ss13 2012-12-13 15:43:43 UTC
(In reply to comment #1)
> Do you can do 'yum remove NetworkManager-l2tp && yum install
> NetworkManager-l2tp'?

I did as you said and here is the result:

sudo yum install NetworkManager-l2tp
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package NetworkManager-l2tp.i686 0:0.9.6-2.fc17 will be installed
--> Processing Dependency: nm-connection-editor for package: NetworkManager-l2tp-0.9.6-2.fc17.i686
--> Finished Dependency Resolution
Error: Package: NetworkManager-l2tp-0.9.6-2.fc17.i686 (updates)
           Requires: nm-connection-editor
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 3 phob0ss13 2012-12-13 15:52:02 UTC
Now I also can't install the previous version back, as it seems it was removed from the repository.

Comment 4 Maurice James 2012-12-14 19:16:28 UTC
(In reply to comment #1)
> Do you can do 'yum remove NetworkManager-l2tp && yum install
> NetworkManager-l2tp'?


Cant remove it becuase it never installs. It has dependancy issues

Comment 5 Fedora Update System 2012-12-15 16:47:29 UTC
NetworkManager-l2tp-0.9.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/NetworkManager-l2tp-0.9.6-3.fc17

Comment 6 Fedora Update System 2012-12-17 01:33:02 UTC
Package NetworkManager-l2tp-0.9.6-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-l2tp-0.9.6-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20506/NetworkManager-l2tp-0.9.6-3.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-31 03:21:35 UTC
NetworkManager-l2tp-0.9.6-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.